// by ghostisLoL
textures/Sciardinu/skybox
{
	qer_editorimage env/Sciardinu/Sciardinu_bk.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 0.90 0.80 0.70 150 320 40
	q3map_surfacelight 200
	skyparms env/Sciardinu/Sciardinu - -
}

textures/Sciardinu/water
{ 
   qer_editorimage textures/Sciardinu_misc/water.jpg 
   qer_trans .5 
   q3map_lightimage textures/Sciardinu_misc/water.jpg 
   q3map_globaltexture 

   surfaceparm trans 
   surfaceparm nonsolid 
   surfaceparm water 

   cull disable 
   deformVertexes wave 64 sin .25 .25 0 .5
   { 
      map textures/Sciardinu_misc/water.jpg 
      blendFunc GL_dst_color GL_one 
      //rgbgen identity
      rgbgen vertex
      //alphagen vertex
      alphaFunc GE128
      alphaGen const 128
      tcmod scale .5 .5 
      tcmod scroll .025 .01 
   } 
   { 
      map textures/Sciardinu_misc/water.jpg 
      blendFunc GL_dst_color GL_one 
      tcmod scale -.5 -.5 
      tcmod scroll .025 .025 
   } 
   { 
      map $lightmap 
      blendFunc GL_dst_color GL_zero 
      //rgbgen identity       
      rgbgen vertex
      //alphagen vertex
      alphaFunc GE128
      alphaGen const 128 
   } 
}


textures/Sciardinu/skip
{
	qer_editorimage textures/Sciardinu_misc/skip.jpg
	qer_trans .1

	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}


textures/common/ladder
{
qer_trans .75
qer_editorimage textures/common/ladder.jpg
surfaceparm ladder
surfaceparm nodraw
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm trans
surfaceparm nomarks
surfaceparm noimpact
surfaceparm playerclip
}

textures/Sciardinu/fiamma01
{	qer_editorimage textures/Sciardinu_misc/flame1.jpg
	qer_trans .6

	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans

	cull disable
	deformvertexes autosprite2

	{
		animMap 10 textures/Sciardinu_misc/flame1.jpg textures/Sciardinu_misc/flame2.jpg textures/Sciardinu_misc/flame3.jpg textures/Sciardinu_misc/flame4.jpg textures/Sciardinu_misc/flame5.jpg textures/Sciardinu_misc/flame6.jpg textures/Sciardinu_misc/flame7.jpg textures/Sciardinu_misc/flame8.jpg
		blendFunc add
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/Sciardinu_misc/flame2.jpg textures/Sciardinu_misc/flame3.jpg textures/Sciardinu_misc/flame4.jpg textures/Sciardinu_misc/flame5.jpg textures/Sciardinu_misc/flame6.jpg textures/Sciardinu_misc/flame7.jpg textures/Sciardinu_misc/flame8.jpg textures/Sciardinu_misc/flame1.jpg
		blendFunc add
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/Sciardinu_misc/flameball.jpg
		blendFunc add
		rgbGen wave sin .6 .2 0 .6
	}
}


textures/Sciardinu/fire_light_noise
{
	qer_editorimage textures/Sciardinu_wall/egypt_block01.jpg

	q3map_nonplanar
	q3map_shadeangle 70

	{
		map $lightmap
	}
	{
		map textures/Sciardinu_wall/egypt_block01.jpg
		rgbgen wave noise .8 .1 .5 10
		blendfunc filter
	}
}

textures/Sciardinu/lava_liquid
{
  qer_editorimage textures/Sciardinu_misc/lava.jpg
  qer_trans .5
  q3map_lightimage textures/Sciardinu_misc/lava.jpg
  q3map_globaltexture

  surfaceparm noimpact
  surfaceparm lava
  surfaceparm nolightmap
  surfaceparm nobuildsurface
  surfaceparm nobuild

  //q3map_surfacelight 50
  //tessSize 32
  cull disable

  //deformVertexes wave 200 sin 0 1 .5 .5

  {
    map textures/Sciardinu_misc/lava.jpg
    rgbGen const ( 0.6 0.6 0.6 )
    //blendfunc add
    tcMod turb .3 .2 1 .05
    tcMod scroll .01 .02
  }

  {
    map textures/Sciardinu_misc/lava.jpg
    rgbGen const ( 0.9 0.9 0.9  )
    //blendfunc add
    tcMod turb .2 .1 1 .05
    tcMod scale .5 .5
    tcMod scroll .02 .01
  }
}


textures/Sciardinu/vine06
{
	qer_editorimage textures/Sciardinu_wall/vine06.tga
	q3map_backShader textures/Sciardinu/vine06_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/Sciardinu_wall/vine06.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/Sciardinu/vine06_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/Sciardinu_wall/vine06.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}


textures/Sciardinu/grata
{
	qer_editorimage textures/Sciardinu_ground/grata.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	nopicmip
	{
		map textures/Sciardinu_ground/grata.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap 

		blendfunc filter
		depthFunc equal
	}
}


textures/Sciardinu/plainglass
{
	qer_editorimage textures/Sciardinu_misc/plainglass.tga

	qer_trans 0.6

	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/Sciardinu_misc/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

//piante//
models/mapobjects/br_flowers/carnation_1
{
	qer_editorimage models/mapobjects/br_flowers/carnation_1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/carnation_1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/br_flowers/green_1
{
	qer_editorimage models/mapobjects/br_flowers/green_1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/green_1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/br_flowers/green_2
{
	qer_editorimage models/mapobjects/br_flowers/green_2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/green_2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/br_flowers/lily_1
{
	qer_editorimage models/mapobjects/br_flowers/lilly_1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/lilly_1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/br_flowers/lily_2
{
	qer_editorimage models/mapobjects/br_flowers/lilly_2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/lilly_2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/br_flowers/purpleflowers
{
	qer_editorimage models/mapobjects/br_flowers/purpleflowers.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/purpleflowers.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/br_flowers/purpleflowers_2
{
	qer_editorimage models/mapobjects/br_flowers/purpleflowers_2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/purpleflowers_2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/br_flowers/purpleflowers_3
{
	qer_editorimage models/mapobjects/br_flowers/purpleflowers_3.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/purpleflowers_3.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/br_flowers/rose_1
{
	qer_editorimage models/mapobjects/br_flowers/rose_1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/rose_1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/br_flowers/rose_2
{
	qer_editorimage models/mapobjects/br_flowers/rose_2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/rose_2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/br_flowers/yellowrose
{
	qer_editorimage models/mapobjects/br_flowers/yellowrose.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/yellowrose.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/br_flowers/tulip_1
{
	qer_editorimage models/mapobjects/br_flowers/tulip_1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/tulip_1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/br_flowers/purpleflowers_2
{
	qer_editorimage models/mapobjects/br_flowers/whiteflowers_1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/whiteflowers_1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/br_flowers/dafa1
{
	qer_editorimage models/mapobjects/br_flowers/dafa1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/dafa1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/br_flowers/calalilly
{
	qer_editorimage models/mapobjects/br_flowers/calalilly.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/calalilly.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}


/////////////////////////////////
//drola light	               //
//Thanks to Ewook              //   
/////////////////////////////////

models/mapobjects/drola/ligcalet_efkt.tga
{
	qer_editorimage models/mapobjects/drola/ligcalet_efkt.tga
	q3map_lightimage models/mapobjects/drola/ligcalet_efkt_blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/drola/ligcalet_efkt.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map models/mapobjects/drola/ligcalet_efkt_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
models/mapobjects/drola/ligcalet
{
	deformVertexes move 0 0 .7  sin 0 2 0 0.6
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull front
	{
		map models/mapobjects/drola/ligcalet.tga
                blendFunc GL_ONE GL_ONE
        }
        {
		map models/mapobjects/drola/ligcalet_efkt.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll -1 0
        }
     
}

// FLAME LORD //

models/mapobjects/flame/flame
{
	surfaceparm alphashadow
	cull disable
	{
		animmap 15 models/mapobjects/flame/flame.jpg models/mapobjects/flame/flame01.jpg models/mapobjects/flame/flame02.jpg models/mapobjects/flame/flame03.jpg models/mapobjects/flame/flame04.jpg models/mapobjects/flame/flame05.jpg
		blendfunc add
		rgbGen identity
	}
}

models/mapobjects/flame/lord
{
	 {
		map models/mapobjects/flame/flame.jpg
		tcMod scroll 1 1
		rgbGen identity
	}
	{
		map models/mapobjects/flame/lord.tga
		blendfunc blend
		rgbgen vertex
	}	
}

// WALLPORTAL 1 //

models/mapobjects/wallportal/wallportal1 
{
{
map models/mapobjects/wallportal/wallportal1.tga 
rgbGen identity    
}
{
map models/mapobjects/wallportal/wallportal1_fx.tga  
blendFunc add 
tcmod rotate -95 
rgbGen wave sin .5 .5 0 1 
}
{
map models/mapobjects/wallportal/wallportal1_fx.tga 
blendFunc add 
tcMod turb 0 .1 0 .06 
tcmod rotate -45 
rgbGen wave sin .5 .5 0 .5 
}
{
map models/mapobjects/wallportal/wallportal1.tga 
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA     
		rgbGen filter    
	}     
	        { 
		map $lightmap 
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA 
		rgbGen filter  
	} 
}    

//STATUA ZEUS //

zeus
{		
	{
		map models/mapobjects/zeus/zeussphere.tga
		rgbgen wave sin 0.5 0.5 0 0.2
		tcmod scale 1 1	
		tcmod rotate 500	
		
		
	}
	
	{
		map models/mapobjects/zeus/zeusskin.tga
		rgbgen vertex
			tcmod scale 2 2
		blendfunc blend		
	}
	
}
zeus_staff
{
	{
		map models/mapobjects/zeus/zeusenv.tga
		tcGen environment
		rgbgen vertex	
	}
}
zeus_energy
{
	cull none
	sort additive
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	
	{
		map models/mapobjects/zeus/zeus_energy.tga
		blendfunc blend			
		tcmod scale 1 1
		tcmod scroll 0 -2
	}

}
zeus_ball
{
	cull none
	sort additive
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid

	deformVertexes autosprite	
	{
		map models/mapobjects/zeus/zeusball.tga
		blendfunc blend			
		tcmod rotate 7323		
	}

}

zeus_sphere
{
	{
		map models/mapobjects/zeus/zeussphere.tga
		tcmod scale 4 4
		tcmod scroll 3 3

		rgbgen vertex	
	}

}

zeus_flare
{
	cull none
	sort additive

	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip 
	deformVertexes autosprite	
	{
		
		clampmap models/mapobjects/zeus/zeusflare.tga
		blendfunc gl_src_alpha gl_one	
		tcmod stretch sin 0.7 0.25 0 0.5	
		tcmod rotate 120	
	}
	{
		
		clampmap models/mapobjects/zeus/zeusflare.tga
		blendfunc gl_src_alpha gl_one
		tcmod stretch sin 0.7 0.25 0.3 0.75		
		tcmod rotate -80	
	}
	

}


zeus_box
{
	{
		map models/mapobjects/zeus/zeusskin.tga
		rgbgen vertex
	}
}


// BLOOD FOUNTAIN //
models/mapobjects/ts-blood_fountain/fire
{
	cull disable
	{
		animmap 10 models/mapobjects/ts-blood_fountain/fire01.tga models/mapobjects/ts-blood_fountain/fire03.tga models/mapobjects/ts-blood_fountain/fire05.tga models/mapobjects/ts-blood_fountain/fire07.tga models/mapobjects/ts-blood_fountain/fire09.tga models/mapobjects/ts-blood_fountain/fire11.tga models/mapobjects/ts-blood_fountain/fire13.tga models/mapobjects/ts-blood_fountain/fire15.tga 
		blendfunc add
		rgbGen identity
	}
}

models/mapobjects/ts-blood_fountain/torch
{
	{
		map models/mapobjects/ts-blood_fountain/blood.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0 0.1
	}
	{
		map models/mapobjects/ts-blood_fountain/torch.tga
		rgbGen Vertex
		alphaFunc GE128
	}
	{
		map models/mapobjects/ts-blood_fountain/torch-g.tga
		blendfunc add
		rgbGen wave sin 0.25 0.75 0 0.3 
	}
}

models/mapobjects/ts-blood_fountain/spray
{
	cull disable
	{
		map models/mapobjects/ts-blood_fountain/spray.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0.25 0
	}
	{
		map models/mapobjects/ts-blood_fountain/env.tga
		blendfunc add
		rgbGen Vertex
		tcMod rotate 3
		tcGen environment 
	}
}

models/mapobjects/ts-blood_fountain/blood
{
	cull disable
	{
		map models/mapobjects/ts-blood_fountain/blood.tga
		blendfunc blend
		rgbGen const ( 0.501961 0.501961 0.501961 )
		tcMod turb 0 0.3 0 0.01
	}
	{
		map models/mapobjects/ts-blood_fountain/env.tga
		blendfunc add
		rgbGen const ( 0.501961 0 0 )
		tcMod rotate 3
		tcGen environment 
	}
}

models/mapobjects/ts-blood_fountain/eye
{
	{
		map models/mapobjects/ts-blood_fountain/eye.tga
		blendfunc add
		rgbGen const ( 0.501961 0.501961 0.501961 )
		tcMod turb 0 0.005 0 0.25
	}
	{
		map models/mapobjects/ts-blood_fountain/env.tga
		blendfunc add
		rgbGen Vertex
		tcMod rotate 3
		tcGen environment 
	}
}

models/mapobjects/ts-blood_fountain/head
{
	cull disable
	{
		map models/mapobjects/ts-blood_fountain/head.tga
		blendfunc blend
		rgbGen Vertex
	}
}

models/mapobjects/ts-blood_fountain/hand
{
	{
		map models/mapobjects/ts-blood_fountain/blood.tga
		rgbGen identity
		tcMod scroll 0 0.1
		tcMod scale 4 4
	}
	{
		map models/mapobjects/ts-blood_fountain/hand.tga
		blendfunc blend
		rgbGen Vertex
		tcMod turb 0 0.001 0 0.5
	}
}

models/mapobjects/ts-blood_fountain/fountain
{
	{
		map models/mapobjects/ts-blood_fountain/blood.tga
		rgbGen const ( 0.501961 0.501961 0.501961 )
		tcMod scroll 0 0.1
		tcMod scale 2 2
	}
	{
		map models/mapobjects/ts-blood_fountain/fountain.tga
		blendfunc blend
		rgbGen Vertex
	}
}

/////////////////////////////////
// regragler ctf light	       //   
/////////////////////////////////

models/mapobjects/redgragler/redoven
{
	surfaceparm nolightmap
	{
		map models/mapobjects/redgragler/redoven.tga
		blendFunc GL_ONE GL_ZERO
	}
	{
		map models/mapobjects/redgragler/redoven_fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .3 1 0 .3
	}
}
models/mapobjects/redgragler/redgraghed
{
	surfaceparm nolightmap
	{
		map models/mapobjects/redgragler/redgraghed.tga
		blendFunc GL_ONE GL_ZERO
	}
	{
		map models/mapobjects/redgragler/redgraghed_fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .3 1 0 .3
	}
}
models/mapobjects/redgragler/redild1
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/redgragler/redild1.tga
                blendFunc GL_ONE GL_ONE
		tcMod scroll 1 0
        }
        {
		map models/mapobjects/redgragler/redild.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 1 0
		rgbGen wave sin .3 1 0 .3
        }
     
}


//////////////////////////////////
//regragler blue ctf light item //   
//////////////////////////////////

models/mapobjects/bluegragler/blueoven
{
	surfaceparm nolightmap
	{
		map models/mapobjects/bluegragler/blueoven.tga
		blendFunc GL_ONE GL_ZERO
	}
	{
		map models/mapobjects/bluegragler/blueoven_fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .3 1 0 .3
	}
}
models/mapobjects/bluegragler/bluegraghed
{
	surfaceparm nolightmap
	{
		map models/mapobjects/bluegragler/bluegraghed.tga
		blendFunc GL_ONE GL_ZERO
	}
	{
		map models/mapobjects/bluegragler/bluegraghed_fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .3 1 0 .3
	}
}
models/mapobjects/bluegragler/blueild1
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/bluegragler/blueild1.tga
                blendFunc GL_ONE GL_ONE
		tcMod scroll -1 0
        }
        {
		map models/mapobjects/bluegragler/blueild.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 1 0
		rgbGen wave sin .3 1 0 .3
        }
     
}

// SKELETON //

models/mapobjects/skeletons/skeleton

{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/skeletons/skeleton.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

//
// Punishment model
//
models/mapobjects/vogt/punishment/punishment
{
	qer_editorimage models/mapobjects/vogt/punishment/punishment.tga
	{
		map models/mapobjects/vogt/punishment/lavahell_highlights.jpg
		rgbGen identity
		tcMod scroll -0.01 -0.05
		tcMod scale 4 4
	}
	{
		map models/mapobjects/vogt/punishment/lavahell_highlights.jpg
		blendfunc add
		rgbGen identity
		tcMod scale 2 -2
		tcMod scroll 0 0.15
	}
	{
		map models/mapobjects/vogt/punishment/punishment_specular_fx.jpg
		blendfunc filter
		rgbGen identity
		tcGen environment 
	}
	{
		map models/mapobjects/vogt/punishment/punishment_specular_mask.jpg
		blendfunc filter
		rgbGen identity
	}
	{
		map models/mapobjects/vogt/punishment/lavahell_dark.jpg
		blendfunc add
		tcMod scroll -0.01 -0.05
		tcMod scale 4 4
	}
	{
		map models/mapobjects/vogt/punishment/lavahell_dark.jpg
		blendfunc add
		tcMod scale 2 -2
		tcMod scroll 0 0.15
	}
	{
		map models/mapobjects/vogt/punishment/punishment.tga
		blendfunc blend
		rgbGen Vertex
	}
}

models/mapobjects/vogt/punishment/lava
{
	qer_editorimage models/mapobjects/vogt/punishment/lavahell_dark.jpg
	{
		map models/mapobjects/vogt/punishment/lavahell_dark.jpg
		tcMod scroll -0.01 -0.05
		tcMod scale 4 4
	}
	{
		map models/mapobjects/vogt/punishment/lavahell_dark.jpg
		blendfunc add
		tcMod scale 2 -2
		tcMod scroll 0 0.15
	}
}
